# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "fedimint-core"
version = "0.10.0-beta.1"
authors = ["The Fedimint Developers"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "fedimint-core provides common code used by both client and server."
readme = "README.md"
license = "MIT"
repository = "https://github.com/fedimint/fedimint"
resolver = "2"

[package.metadata.cargo-udeps.ignore]
development = ["tokio-test"]

[features]

[lib]
name = "fedimint_core"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1.0.98"

[dependencies.async-channel]
version = "2.5.0"

[dependencies.async-recursion]
version = "1.1.1"

[dependencies.async-trait]
version = "0.1.88"

[dependencies.backon]
version = "1.5.1"
default-features = false

[dependencies.backtrace]
version = "0.3.75"

[dependencies.base64]
version = "0.22.1"

[dependencies.bech32]
version = "0.11.0"

[dependencies.bitcoin]
version = "0.32.6"
features = ["serde"]

[dependencies.bitcoin-io]
version = "0.1.2"

[dependencies.bitcoin-units]
version = "0.1.2"

[dependencies.bitvec]
version = "1.0.1"

[dependencies.bls12_381]
version = "0.8.0"

[dependencies.erased-serde]
version = "0.4"

[dependencies.fedimint-derive]
version = "=0.10.0-beta.1"

[dependencies.fedimint-logging]
version = "=0.10.0-beta.1"

[dependencies.fedimint-util-error]
version = "=0.10.0-beta.1"

[dependencies.futures]
version = "0.3.31"

[dependencies.group]
version = "0.13.0"

[dependencies.hex]
version = "0.4.3"
features = ["serde"]

[dependencies.hex-conservative]
version = "0.3.0"

[dependencies.imbl]
version = "5.0.0"

[dependencies.iroh]
version = "=0.35.0"
default-features = false

[dependencies.iroh-base]
version = "=0.35.0"
features = ["key"]
default-features = false

[dependencies.iroh-relay]
version = "=0.35.0"
default-features = false

[dependencies.itertools]
version = "0.14.0"

[dependencies.jsonrpsee-core]
version = "0.24.9"
features = ["client"]

[dependencies.lightning]
version = "0.1.3"

[dependencies.lightning-invoice]
version = "0.33.2"
features = [
    "std",
    "serde",
]

[dependencies.lightning-types]
version = "0.2.0"

[dependencies.macro_rules_attribute]
version = "0.2.2"

[dependencies.miniscript]
version = "12.3.4"
features = ["serde"]

[dependencies.n0-future]
version = "0.1.3"

[dependencies.rand]
version = "0.8.5"

[dependencies.scopeguard]
version = "1.2.0"

[dependencies.secp256k1]
version = "0.29.0"
features = [
    "global-context",
    "rand-std",
]
default-features = false

[dependencies.serde]
version = "1.0.219"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.141"

[dependencies.serdect]
version = "0.2.0"

[dependencies.slotmap]
version = "1.0.7"

[dependencies.strum]
version = "0.27"
features = ["derive"]

[dependencies.strum_macros]
version = "0.27"

[dependencies.thiserror]
version = "2.0.12"

[dependencies.threshold_crypto]
version = "0.2.1"
package = "fedimint-threshold-crypto"

[dependencies.tracing]
version = "0.1.41"

[dependencies.url]
version = "2.5.4"
features = ["serde"]

[dependencies.z32]
version = "1"

[dev-dependencies.assert_matches]
version = "1.5.0"

[dev-dependencies.test-log]
version = "0.2"
features = ["trace"]
default-features = false

[dev-dependencies.tokio-test]
version = "0.4.4"

[target.'cfg(not(target_family = "wasm"))'.dependencies.aws-lc-sys]
version = "0.30"
features = ["bindgen"]

[target.'cfg(not(target_family = "wasm"))'.dependencies.iroh]
version = "=0.35.0"
features = ["discovery-pkarr-dht"]
default-features = false

[target.'cfg(not(target_family = "wasm"))'.dependencies.tokio]
version = "1.48.0"
features = [
    "full",
    "tracing",
]

[target.'cfg(not(target_family = "wasm"))'.dependencies.tokio-rustls]
version = "0.26.0"
features = ["aws_lc_rs"]

[target.'cfg(target_family = "wasm")'.dependencies.async-lock]
version = "3.4"

[target.'cfg(target_family = "wasm")'.dependencies.futures-util]
version = "0.3.30"

[target.'cfg(target_family = "wasm")'.dependencies.getrandom]
version = "0.3.3"
features = ["wasm_js"]

[target.'cfg(target_family = "wasm")'.dependencies.gloo-timers]
version = "0.3.0"
features = ["futures"]

[target.'cfg(target_family = "wasm")'.dependencies.js-sys]
version = "0.3.69"

[target.'cfg(target_family = "wasm")'.dependencies.secp256k1]
version = "0.29.0"
features = ["lowmemory"]
default-features = false

[target.'cfg(target_family = "wasm")'.dependencies.tokio]
version = "1.48.0"
features = ["io-util"]

[target.'cfg(target_family = "wasm")'.dependencies.wasm-bindgen-futures]
version = "0.4.42"

[lints.clippy]
dbg_macro = "deny"
literal_string_with_formatting_args = "deny"
